// SearchDataList.cpp : implementation file
//

#include "stdafx.h"
#include "PSAT.h"
#include "SearchDataList.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSearchDataList

CSearchDataList::CSearchDataList()
{
}

CSearchDataList::~CSearchDataList()
{
}


BEGIN_MESSAGE_MAP(CSearchDataList, CListCtrl)
	//{{AFX_MSG_MAP(CSearchDataList)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSearchDataList message handlers

void CSearchDataList::SetColumnItem() 
{
	InsertColumn( 0, "프로그램", LVCFMT_CENTER, 230 );
	InsertColumn( 1, "회사", LVCFMT_CENTER, 165 );
	InsertColumn( 2, "버전", LVCFMT_CENTER, 140 );

	/*
	LV_COLUMN lvList;
	/// 헤더내용
	CString strList[3] = { "프로그램", "회사", "버전" };
	memset ( &lvList, 0, sizeof ( lvList ) );

	lvList.mask		= LVCF_FMT|LVCF_SUBITEM|LVCF_TEXT|LVCF_WIDTH;
	lvList.fmt		= LVCFMT_CENTER;

	// 프로그램명 
	lvList.pszText	= (LPSTR)(LPCTSTR)strList[0];
	lvList.iSubItem = 1;
	lvList.cx		= 230;
	InsertColumn( 0, "프로그램", LVCFMT_CENTER, 230 );

	// 회사 
	lvList.pszText	= (LPSTR)(LPCTSTR)strList[1];		
	lvList.iSubItem = 1;
	lvList.cx		= 165;
	InsertColumn( 1, &lvList );

	// 버전 
	lvList.pszText	= (LPSTR)(LPCTSTR)strList[2];		
	lvList.iSubItem = 1;
	lvList.cx		= 140;
	InsertColumn( 2, &lvList );
*/
	CListCtrl::PreSubclassWindow();
}
